LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
NumberFormat.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::util
| Miscellaneous interfaces for sorting, connecting objects etc.

## Constant Groups
constants | com::sun::star::util::NumberFormat
| contains constants that are used to specify the type of a number format.

## Variables
const short | ALL = 0
| selects all number formats.
const short | DEFINED = 1
| selects only user-defined number formats.
const short | DATE = 2
| selects date formats.
const short | TIME = 4
| selects time formats.
const short | CURRENCY = 8
| selects currency formats.
const short | NUMBER = 16
| selects decimal number formats.
const short | SCIENTIFIC = 32
| selects scientific number formats.
const short | FRACTION = 64
| selects number formats for fractions.
const short | PERCENT = 128
| selects percentage number formats.
const short | TEXT = 256
| selects text number formats.
const short | DATETIME = 6
| selects number formats which contain date and time.
const short | LOGICAL = 1024
| selects boolean number formats.
const short | UNDEFINED = 2048
| is used as a return value if no format exists.
const short | EMPTY = 4096
const short | DURATION = 8196